Login Form

#522 – auction blank page: Class 'JComponentRouterBase' not found

Posted in ‘BF Auction’
This is a public ticket. Everybody will be able to see its contents. Do not include usernames, passwords or any other sensitive information.
Thursday, 05 February 2015 19:56 AEDT
minbori
Joomla! version: 2.5.24

I have upgraded my BFAuction to version 1.7.3 using the Joomla Extension Manager and now my auction shows just a blank page.

The error in the logs is:

[05-Feb-2015 08:42:29 UTC] PHP Fatal error: Class 'JComponentRouterBase' not found in /home/found/public_html/components/com_bfauction_plus/router.php on line 41

The backend management works just fine.
 
Thursday, 05 February 2015 22:05 AEDT 5'
Tim
Everything Bundle, BF Quiz Plus 3 Years, BF Survey 12 Months
Ok, this would be due to the router changes added because of the core changes in Joomla 3.3. You can fix by replacing the file /components/com_bfauction_plus/router.php with this one
http://www.tamlynsoftware.com/files/router.zip

Let me know how you go.

regards

Tim
Follow us on twitter http://twitter.com/tamlynsoftware
Friday, 06 February 2015 02:45 AEDT
minbori
Thanks Tim, that seems to have done the trick. Appreciate the quick response!

One question -- how do I handle BF Auction upgrades on my Joomla 2.5 in future? Won't this happen again when a new version is released?
 
Friday, 06 February 2015 06:36 AEDT 5'
Tim
Everything Bundle, BF Quiz Plus 3 Years, BF Survey 12 Months
Good question. Are you aware that Joomla 2.5 was end of life in Dec 2014?
http://www.joomla.org/announcements/release-news/5574-joomla-2-5-28-released.html
It is recommended that everyone should be using the Joomla 3 series.

That said, I haven't dropped support for Joomla 2.5 yet. I'm thinking to avoid this particular issue in future I should include both versions of the router file, and adjust the installation script so it selects the correct one for your Joomla series and deletes the incompatible one.

regards

Tim
Follow us on twitter http://twitter.com/tamlynsoftware
Sunday, 08 February 2015 09:01 AEDT 5'
Tim
Everything Bundle, BF Quiz Plus 3 Years, BF Survey 12 Months
The install file for v1.7.4 now will automatically switch that router file based on your Joomla version
http://tamlynsoftware.com/download/bf-auction-plus/bf-auction-plus-1-7-4.html
So this should avoid problems for future upgrades.

regards

Tim
Follow us on twitter http://twitter.com/tamlynsoftware
Monday, 09 February 2015 22:06 AEDT
minbori
That's great, thanks! Yes, I am aware Joomla 2.5 is deprecated and this site is scheduled for upgrade in March :-)
 
This ticket is closed, therefore read-only. You can no longer reply to it. If you need to provide more information, please open a new ticket and mention this ticket's number.
Go to top